Page MenuHomePhabricator

Review and deploy Popups extension (Hovercards feature) to Wikimedia wikis
Closed, ResolvedPublic

Description

The Popups extension displays popups with summaries of article contents when the user hovers over an article link.

This is an initiative of the Design team, to move popular Gadgets into Beta Features. Mockups and more information available at - https://www.mediawiki.org/wiki/Beta_Features/Hovercards

Extension: https://www.mediawiki.org/wiki/Extension:Popups
Bugzilla: https://bugzilla.wikimedia.org/buglist.cgi?component=Popups
Gerrit: https://gerrit.wikimedia.org/r/#/admin/projects/mediawiki/extensions/Popups
Design Discussion: https://www.mediawiki.org/wiki/Talk:Beta_Features/Hovercards


Version: unspecified
Severity: enhancement
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=26587

Details

Reference
bz61167

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 2:58 AM
bzimport set Reference to bz61167.
bzimport added a subscriber: Unknown Object (MLST).
Prtksxna created this task.Feb 11 2014, 6:14 AM
greg added a comment.Feb 21 2014, 12:15 AM

TODO/Check list

Extension page on mediawiki.org: https://www.mediawiki.org/wiki/Extension:Popups
Bugzilla component: https://bugzilla.wikimedia.org/buglist.cgi?component=Popups
Extension in Gerrit: https://gerrit.wikimedia.org/r/#/admin/projects/mediawiki/extensions/Popups
Design Review: https://www.mediawiki.org/wiki/Talk:Beta_Features/Hovercards
Archeticecture/Performance Review: no
Security Review: no
Community support: this is a BF, not needed right now/yet

greg added a comment.Mar 14 2014, 3:27 PM

For completeness' sake:

The security and Perf/Arch reviews have been (successfully) done.

This extension is ready to be deployed *as a Beta Feature*. This is tentatively scheduled for Wednesday the 19th.

If/when it is planned to be promoted to a full extension on the Wikimedia wikis, another performance review will be needed.

(In reply to Greg Grossmeier from comment #2)

This extension is ready to be deployed *as a Beta Feature*. This is
tentatively scheduled for Wednesday the 19th.

On what wikis?

(In reply to Tomasz W. Kozlowski from comment #3)

On what wikis?

It will be enabled on MediaWiki.org, Tomasz.

Change 119445 had a related patch set uploaded by Spage:
Enable Popups (Hovercards) on mediawiki.org

https://gerrit.wikimedia.org/r/119445

Change 119447 had a related patch set uploaded by Spage:
Add Popups (Hovercards) extension

https://gerrit.wikimedia.org/r/119447

Change 119450 had a related patch set uploaded by Spage:
Add Popups extension

https://gerrit.wikimedia.org/r/119450

Change 119451 had a related patch set uploaded by Spage:
Add Popups extension

https://gerrit.wikimedia.org/r/119451

Change 119450 merged by jenkins-bot:
Add Popups extension

https://gerrit.wikimedia.org/r/119450

Change 119451 merged by jenkins-bot:
Add Popups extension

https://gerrit.wikimedia.org/r/119451

Change 119646 had a related patch set uploaded by Spage:
Add new Popups extension to list

https://gerrit.wikimedia.org/r/119646

Change 119646 merged by jenkins-bot:
Add new Popups extension to list

https://gerrit.wikimedia.org/r/119646

Change 119445 merged by jenkins-bot:
Enable Popups (Hovercards) on mediawiki.org

https://gerrit.wikimedia.org/r/119445

Change 119447 merged by jenkins-bot:
Add Popups (Hovercards) extension

https://gerrit.wikimedia.org/r/119447

The Popups Beta Feature was enabled on mediawiki.org 2014-03-20 00:00 UTC.

I'm leaving this bug open because the next step is to enable the Popups Beta Feature on more/all wikis.

(In reply to spage from comment #15)

I'm leaving this bug open because the next step is to enable the Popups Beta
Feature on more/all wikis.

When?

AFAIS the extension is already deployed everywhere? https://wikiapiary.com/wiki/Extension:Popups. Can this be closed now?

greg added a comment.Jul 30 2014, 5:25 AM

(In reply to Kunal Mehta (Legoktm) from comment #17)

AFAIS the extension is already deployed everywhere?
https://wikiapiary.com/wiki/Extension:Popups. Can this be closed now?

As a Beta Feature. Keeping open for the last remaining bit before graduating to non-Beta Feature; a second performance review:

https://bugzilla.wikimedia.org/show_bug.cgi?id=61167#c2
or
https://bugzilla.wikimedia.org/show_bug.cgi?id=61742#c7
for reference.

(In reply to Greg Grossmeier from comment #18)

(In reply to Kunal Mehta (Legoktm) from comment #17)

AFAIS the extension is already deployed everywhere?
https://wikiapiary.com/wiki/Extension:Popups. Can this be closed now?

As a Beta Feature. Keeping open for the last remaining bit before graduating
to non-Beta Feature; a second performance review:
https://bugzilla.wikimedia.org/show_bug.cgi?id=61167#c2
or
https://bugzilla.wikimedia.org/show_bug.cgi?id=61742#c7
for reference.

Hm, gotcha. That's a bit confusing though, maybe we should have a different bug for "Graduate Hovercards from BetaFeatures and maybe expand deployment?"

greg added a comment.Jul 30 2014, 3:35 PM

(In reply to Kunal Mehta (Legoktm) from comment #19)

Hm, gotcha. That's a bit confusing though, maybe we should have a different
bug for "Graduate Hovercards from BetaFeatures and maybe expand deployment?"

You're right, I was just lazy yesterday. done.

https://bugzilla.wikimedia.org/show_bug.cgi?id=68860